<?php

namespace Sibs\Stargate\Constants;

defined('ABSPATH') || exit;

class Logs implements ConstantsInterface
{
    public const DEFAULT = Plugin::PLUGIN_PREFIX_NAME.'-log';
    public const INSTALL = Plugin::PLUGIN_PREFIX_NAME.'-install-log';
    public const ADMIN = Plugin::PLUGIN_PREFIX_NAME.'-admin-log';
    public const CRON = Plugin::PLUGIN_PREFIX_NAME.'-cron-log';
    public const WEBHOOK = Plugin::PLUGIN_PREFIX_NAME.'-webhook-log';
    public const DATA = Plugin::PLUGIN_PREFIX_NAME.'-data-log';
    public const API = Plugin::PLUGIN_PREFIX_NAME.'-api-log';

    /**
     * All.
     */
    public static function all(): array
    {
        return [
            self::DEFAULT,
            self::INSTALL,
            self::ADMIN,
            self::CRON,
            self::WEBHOOK,
            self::DATA,
            self::API,
        ];
    }

    /**
     * Default.
     */
    public static function default(): mixed
    {
        return self::DEFAULT;
    }
}
